Subject: Re: MPC885 - USB HCI drivers.

From: Pantelis Antoniou <[email-masked]>
Date: Tue, 17 May 2005 12:44:33 +0300

Bryan O'Donoghue wrote:
> Pantelis Antoniou wrote:
> 
> 
>>Well I have USB host drivers for both 8xx & 82xx working.
> 
> 
> Speaking of which... would it not be a good idea, to get these comitted
> to the 2.6 tree... at some stage ... at least to stop people
> periodically posting to this list... saying "Dear all have spent 2
> months, writing code for m8xx_hci drivers", when it's a needless
> replication of effort ?
> 

Well, they are too hideous for human eyes :)

> 
>>However I use them connected to a specific peripheral
>>so I don't know how well they fare when used as a PC
>>style USB host controller.
> 
> 
> Also, one easy way to find out, how well or badly said code performs, in
> hetrogenous environments, is to... suck it and see.
> 
> As I was attempting to intimate above, I'm sure there'd be a legion of
> eager people to debug, modify and recode such drivers, if there lived in
> an obvious place... in the 2.6 tree.
> 
> Just my €0.02.
> 

Also they're 2.4 only :)

I'll try to clean them up and post them sometime this week.

But I don't have time left to hack them for 2.6. I'll need
vict^H^H^Holunteers to do it...

Regards

Pantelis

> --
> Best,
> Bryan